Bug 798533 - nss: Distrust MITM subCAs issued by TrustWave
nss: Distrust MITM subCAs issued by TrustWave
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 798536 798537 798538 798539
Blocks: 784298 798556 827834
  Show dependency treegraph
Reported: 2012-02-29 03:02 EST by Huzaifa S. Sidhpurwala
Modified: 2015-10-23 10:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-18 03:26:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-02-29 03:02:41 EST
Trustwave issued a subordinate root certificate to a company, therefore enabling the company to issue unlimited SSL certificates for any domain/hostname:


This violates the Mozilla CA Certificate Policy


NSS 3.13.3 contains the patch to actively distrust the MITM subCAs issued by TrustWave.
Comment 3 errata-xmlrpc 2012-06-20 03:24:05 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0973 https://rhn.redhat.com/errata/RHSA-2012-0973.html
Comment 6 Huzaifa S. Sidhpurwala 2012-06-22 01:12:19 EDT
This issue does not affect the version of nss as shipped with Fedora 16 and 17, since its already updated to 3.13.4
Comment 7 errata-xmlrpc 2012-07-17 14:18:37 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1090 https://rhn.redhat.com/errata/RHSA-2012-1090.html
Comment 8 Huzaifa S. Sidhpurwala 2012-07-18 03:26:06 EDT


Note You need to log in before you can comment on or make changes to this bug.